import 'package:get/get.dart';

class BaseObxController<T> extends GetxController {
  final Rxn<T> _result = Rxn<T>();
  final RxnString _error = RxnString();
  final RxBool _loading = RxBool(false);

  void setResult({required T? data}) => _result.value = data;
  void setError({String? error}) => _error.value = error;
  void setLoading(bool value) => _loading.value = value;

  T? get result => _result.value;

  String? get error => _error.value;

  bool get loading => _loading.value;
}
